import React from "react";
export type CommonDropdownTypes<T> = {
    options: T[];
    optionKey: (value: T) => string | number;
    optionLabel: (value: T) => string;
    onClick: (value: T | undefined) => void;
    className?: string;
    optionClassName?: string;
    enableClearButton?: boolean;
    enableSearch?: boolean;
    optionElement?: ({ option }: {
        option: T;
    }) => React.JSX.Element;
    disabled?: boolean;
    placeholder?: string;
};
