import { InputProps2 } from "../Input";
export type NumberInputProps = Omit<InputProps2, "type" | "onChange"> & {
    onChange?: (value: string) => void;
    enableButton?: boolean;
    onError?: () => boolean;
    unit?: string;
    attributes?: {
        min?: number;
        max?: number;
    };
};
export declare const NumberInput: ({ value, onChange, enableButton, attributes, }: NumberInputProps) => import("react/jsx-runtime").JSX.Element;
