/// <reference types="react" />
export type DropdownSearchProps<T> = {
    value?: string;
    options: T[];
    optionLabel: (value: T) => string;
    className?: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onSearch: (filteredOptions: T[]) => void;
    filterValueClear: () => void;
    placeholder?: string;
};
declare const DropdownSearch: <T extends {}>({ value, options, optionLabel, className, onChange, onSearch, filterValueClear, placeholder, }: DropdownSearchProps<T>) => import("react/jsx-runtime").JSX.Element;
export default DropdownSearch;
